package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Testdefdb;
import com.realnet.basicp1.Services.TestdefdbService ;




























@RequestMapping(value = "/Testdefdb")
 @CrossOrigin("*") 
@RestController
public class TestdefdbController {
	@Autowired
	private TestdefdbService Service;

@Value("${projectPath}")
	private String projectPath;
 




























	@PostMapping("/Testdefdb")
		  public Testdefdb Savedata(@RequestBody Testdefdb data) {
		Testdefdb save = Service.Savedata(data)	;



























		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testdefdb/{id}")
	public  Testdefdb update(@RequestBody Testdefdb data,@PathVariable Integer id ) {
		Testdefdb update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testdefdb/getall/page")
	public Page<Testdefdb> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testdefdb> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testdefdb")
	public List<Testdefdb> getdetails() {
		 List<Testdefdb> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testdefdb")
	public List<Testdefdb> getallwioutsec() {
		 List<Testdefdb> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testdefdb/{id}")
	public  Testdefdb  getdetailsbyId(@PathVariable Integer id ) {
		Testdefdb  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testdefdb/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





























}